## golang-github-mudler-docker-companion 0.4.5%2Bgit20211015.bd4704f%2Bds

=== Makefile ===
NAME ?= docker-companion
PACKAGE_NAME ?= $(NAME)
PACKAGE_CONFLICT ?= $(PACKAGE_NAME)-beta
REVISION := $(shell git rev-parse --short HEAD || echo unknown)
VERSION := $(shell git describe --tags || cat main.go | grep -o 'VERSION = "[^"]*"' | awk '{ print $3 }' | sed 's:"::g' || echo dev)
VERSION := $(shell echo $(VERSION) | sed -e 's/^v//g')
ITTERATION := $(shell date +%s)
BUILD_PLATFORMS ?= -osarch="linux/amd64" -osarch="linux/386" -osarch="linux/arm"

all: deps build

help:
	# make all => deps test lint build
	# make deps - install all dependencies
	# make test - run project tests
	# make lint - check project code style
	# make build - build project for all supported OSes

clean:
	rm -rf vendor/
	rm -rf release/

deps:
	go env
	# Installing dependencies...
	GO111MODULE=off go get golang.org/x/lint/golint
	GO111MODULE=off go get github.com/mitchellh/gox
	GO111MODULE=off go get golang.org/x/tools/cmd/cover
	GO111MODULE=off go get github.com/mattn/goveralls

vendor:
	go mod vendor

build:
	gox $(BUILD_PLATFORMS) -output="release/$(NAME)-$(VERSION)-{{.OS}}-{{.Arch}}" -ldflags "-extldflags=-Wl,--allow-multiple-definition"

lint:
	# Checking project code style...
	golint ./... | grep -v "be unexported"

test:
	# Running tests... ${TOTEST}
	go test -cover

build-and-deploy:
	make build BUILD_PLATFORMS="-os=linux -arch=amd64"

=== debian/control ===
Source: golang-github-mudler-docker-companion
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-containerd-containerd-dev,
               golang-github-docker-docker-dev,
               golang-github-fsouza-go-dockerclient-dev,
               golang-github-heroku-docker-registry-client-dev,
               golang-github-opensuse-umoci-dev,
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-urfave-cli-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mudler-docker-companion
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mudler-docker-companion.git
Homepage: https://github.com/mudler/docker-companion
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mudler/docker-companion

Package: golang-github-mudler-docker-companion-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-containerd-containerd-dev,
         golang-github-docker-docker-dev,
         golang-github-fsouza-go-dockerclient-dev,
         golang-github-heroku-docker-registry-client-dev,
         golang-github-opensuse-umoci-dev,
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-urfave-cli-dev,
         ${misc:Depends}
Description: squash and unpack Docker images (library)
 docker-companion is a candy mix of tools for docker written in
 Golang and directly using Docker API calls. As for now it allows
 one to squash and unpack an image.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG := github.com/mudler/docker-companion/api

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-mudler-docker-companion 0.4.5+git20211015.bd4704f+ds

=== debian/changelog ===
golang-github-mudler-docker-companion (0.4.5+git20211015.bd4704f+ds-1) unstable; urgency=medium

  * Import upstream snapshot, required for packaging distrobuilder
    - Drop patches applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 12 Feb 2024 21:45:45 +0000

golang-github-mudler-docker-companion (0.4.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1061708)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Feb 2024 18:45:00 +0000

## golang-github-mudler-docker-companion 0.4.5+git20250528.7d707b9+ds

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,11 @@
 	rm -rf release/
 
 deps:
-	go env
 	# Installing dependencies...
-	GO111MODULE=off go get golang.org/x/lint/golint
-	GO111MODULE=off go get github.com/mitchellh/gox
-	GO111MODULE=off go get golang.org/x/tools/cmd/cover
-	GO111MODULE=off go get github.com/mattn/goveralls
+	go install golang.org/x/lint/golint@latest
+	go install github.com/mitchellh/gox@latest
+	go install golang.org/x/tools/cmd/cover@latest
+	go install github.com/mattn/goveralls@latest
 
 vendor:
 	go mod vendor

=== debian/changelog ===
golang-github-mudler-docker-companion (0.4.5+git20250528.7d707b9+ds-1) unstable; urgency=medium

  * New upstream snapshot
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Build-Depends and Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 11 Aug 2025 12:45:11 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                golang-github-docker-docker-dev,
                golang-github-fsouza-go-dockerclient-dev,
                golang-github-heroku-docker-registry-client-dev,
-               golang-github-opensuse-umoci-dev,
+               golang-github-opensuse-umoci-dev (>= 0.5.0),
                golang-github-spf13-jwalterweatherman-dev,
                golang-github-urfave-cli-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mudler-docker-companion
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mudler-docker-companion.git
 Homepage: https://github.com/mudler/docker-companion
@@ -28,7 +28,7 @@
          golang-github-docker-docker-dev,
          golang-github-fsouza-go-dockerclient-dev,
          golang-github-heroku-docker-registry-client-dev,
-         golang-github-opensuse-umoci-dev,
+         golang-github-opensuse-umoci-dev (>= 0.5.0),
          golang-github-spf13-jwalterweatherman-dev,
          golang-github-urfave-cli-dev,
          ${misc:Depends}
